Bug 237055 - qemu can't generate the tap device with recent kernels
Summary: qemu can't generate the tap device with recent kernels
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ric Wheeler
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-19 03:37 UTC by David G. Mackay
Modified: 2008-06-11 10:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-11 10:10:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David G. Mackay 2007-04-19 03:37:35 UTC
Description of problem:
With kernels >= 2.6.18, creation of the tap device requires CAP_NET_ADMIN
capability.  As a result, qemu can't create the tap device.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
One workaround is to use tunctl from the User Mode Linux uml_utils available via
http://user-mode-linux.sourceforge.net/dl-sf.html.  The Copyright statement in
the spec file needs to be changed to License.  After that, an rpmbuild generates
an rpm.  It would be nice to have that in extras.

Comment 1 Bug Zapper 2008-05-14 02:47:09 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Daniel Berrange 2008-06-11 10:10:13 UTC
QEMU requires root to create TAP devices. This is expected behaviour.

Use VDE or one of the non-TAP based networking options if running as non-root



Note You need to log in before you can comment on or make changes to this bug.